Deskhero Developer Hub
Back to deskhero.com
Integrations

List

Returns the workspace's connected integrations, currently only Shopify, each with the connected shop domain and the OAuth identifier of the stored authorization but never the tokens themselves. Not paginated or filterable, and integrations that have been deleted are not included.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/integrations
Authorisation
Minimum role: ADMIN

Request arguments

Name Type Source
Request body example
No input arguments

Response

Status
200 (OK)
Type
DTO_integration[]
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_integration
NameTypeReadOnlyDescription
oauth2DTO_external_auth_oauth2Oauth2
shopifyDTO_integration_shopifyReadOnlyShopify specific data
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
idInt32Id
typeENUM integration_typeType
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
DTO_external_auth_oauth2
NameTypeReadOnlyDescription
identifierStringIdentifier
authorized_accountStringReadOnlyAuthorized account
DTO_integration_shopify
NameTypeReadOnlyDescription
shop_domainStringShop domain
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
ENUM integration_type
ValueNameDescription
0UNKNOWNUNKNOWN
1SHOPIFYShopify

Generated Aug 4, 2026 18:37